PROPER-SH(5)

NAME
proper-sh - name of a better non-interactive shell

SYNOPSIS
/etc/proper-sh

DESCRIPTION
The sh(1) program is a thin wrapper that invokes sortix-sh(1) on interactive use, but this shell is primitive and cannot execute most scripts, so non-interactive uses of sh(1) instead searches for the name of a better shell to execute in this order:

•   The shell named in the SORTIX_SH_BACKEND environment variable.
•   The shell named in the /etc/proper-sh file.
•   dash(1), if installed.
•   sortix-sh, if no better shell was found.

ENVIRONMENT

SORTIX_SH_BACKEND
    The name of a better non-interactive shell, taking precedence if set over the /etc/proper-sh file.

FILES
/etc/proper-sh
    File containing the name of a better non-interactive shell.

SEE ALSO
dash(1), sh(1)